VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter (ActiveIO 1.0 API)
Keywords: org.activeio.net.VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter

    java.lang.Object
      org.activeio.net.VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter

All Implemented Interfaces:
  AsynchChannel, Channel, Disposable, InputAsynchChannel, OutputChannel, Service

Enclosing class:
  VMPipeAsynchChannelFactory

public static class VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter
extends java.lang.Object
implements AsynchChannel

Used to marshal calls to a PipeChannel in a different classloader.

Nested Class Summary
`class` | `VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler`

Field Summary

Fields inherited from interface org.activeio.Service
`NO_WAIT_TIMEOUT, WAIT_FOREVER_TIMEOUT`

Constructor Summary
`VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter(java.lang.Object channel)`

Method Summary
`void` | `dispose()` This method should not throw any exceptions.
`void` | `flush()` Some channels may buffer data which may be sent down if flush() is called.
`AsynchChannelListener` | `getAsynchChannelListener()`
`java.lang.Object` | `narrow(java.lang.Class target)` Since a Channel may be composed from a chain of other Channel obejcts, this method allows you to query the chain for the specified interface.
`void` | `setAsynchChannelListener(AsynchChannelListener channelListener)` Registers the `ChannelConsumer` that the protcol will use to deliver packets comming 'up' the channel.
`void` | `start()` Starts the channel.
`void` | `stop(long timeout)` Stops the channel.
`void` | `write(Packet packet)` Sends a packet down the channel towards the media.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter

    public VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter(java.lang.Object channel)
                                                               throws java.lang.SecurityException,
                                                                      java.lang.NoSuchMethodException,
                                                                      java.lang.ClassNotFoundException

Method Detail

### write

    public void write(Packet packet)
               throws java.io.IOException

  Description copied from interface: `OutputChannel`
  Sends a packet down the channel towards the media.

  Specified by:
    `write` in interface `OutputChannel`
  Parameters:
    `packet` -
  Throws:
    `java.io.IOException`

### setAsynchChannelListener

    public void setAsynchChannelListener(AsynchChannelListener channelListener)

  Description copied from interface: `InputAsynchChannel`
  Registers the `ChannelConsumer` that the protcol will use to deliver packets comming 'up' the channel.

  Specified by:
    `setAsynchChannelListener` in interface `InputAsynchChannel`

### getAsynchChannelListener

    public AsynchChannelListener getAsynchChannelListener()

  Specified by:
    `getAsynchChannelListener` in interface `InputAsynchChannel`
  Returns:
    the registered Packet consumer

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  This method should not throw any exceptions. Cleaning up a Disposable object should be easy of an end user therefore do not make him have to handle an Exception.

  Specified by:
    `dispose` in interface `Disposable`

### start

    public void start()
               throws java.io.IOException

  Description copied from interface: `Service`
  Starts the channel. Once started, the channel is in the running state.

  Specified by:
    `start` in interface `Service`
  Throws:
    `java.io.IOException`

### stop

    public void stop(long timeout)
              throws java.io.IOException

  Description copied from interface: `Service`
  Stops the channel. Once stopped, the channel is in the stopped state.

  Specified by:
    `stop` in interface `Service`
  Parameters:
    `timeout` - The amount of time the channel is allowed to take to gracefully stop. If the timeout is exceeded, the channel should do a forcefull stop.
  Throws:
    `java.io.IOException`

### narrow

    public java.lang.Object narrow(java.lang.Class target)

  Description copied from interface: `Channel`
  Since a Channel may be composed from a chain of other Channel obejcts, this method allows you to query the chain for the specified interface. The first Channel in the chain the implments the requested interface will be return an implementing object. If no Channel in the chain implements the requested class, then null is returned.

  Specified by:
    `narrow` in interface `Channel`

### flush

    public void flush()
               throws java.io.IOException

  Description copied from interface: `OutputChannel`
  Some channels may buffer data which may be sent down if flush() is called.

  Specified by:
    `flush` in interface `OutputChannel`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.